/// <reference types="react" />
import PropTypes from "prop-types";
import { ButtonProps } from "../Button";
export interface ButtonGroupProps {
    buttons: ButtonProps[];
    color: "amber" | "blue" | "cyan" | "emerald" | "fuchsia" | "gray" | "green" | "indigo" | "lightBlue" | "lime" | "orange" | "pink" | "purple" | "red" | "rose" | "teal" | "violet" | "yellow";
    className?: string;
}
declare const colors: {
    amber: string;
    blue: string;
    cyan: string;
    emerald: string;
    fuchsia: string;
    gray: string;
    green: string;
    indigo: string;
    lightBlue: string;
    lime: string;
    orange: string;
    pink: string;
    purple: string;
    red: string;
    rose: string;
    teal: string;
    violet: string;
    yellow: string;
};
export declare const ButtonGroup: {
    ({ buttons, color, className }: ButtonGroupProps): JSX.Element;
    propTypes: {
        buttons: PropTypes.Validator<any[]>;
        color: PropTypes.Requireable<string>;
        className: PropTypes.Requireable<string>;
    };
    defaultProps: {
        color: string;
    };
};
export default colors;
