import React from "react";
// @ts-ignore
import styling from "@devcake/styling";
import { Icon } from "../../Icon";
import { useStyle } from "../../Scope";

styling.link("components.select.icons.check", "components.icons.check");

export type ItemRenderer<T> = (
  item: T,
  selected: boolean
) => React.ReactNode;

export const DefaultRenderer: ItemRenderer<string> = (item, selected) => {
  const [icon] = useStyle(["components.select.icons.check"]);
  return (
    <>
      <div className="font-normal block truncate">{item}</div>

      <div className="text-indigo-600 absolute inset-y-0 right-0 flex items-center pr-4">
        {selected && <Icon icon={icon} className="h-5 w-5" />}
      </div>
    </>
  );
};
